Download it now!
Bug 129295 - HYPERLINK DIALOG: Hyperlink Text below URL
Summary: HYPERLINK DIALOG: Hyperlink Text below URL
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.2.2 release
Hardware: All All
: medium enhancement
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.5.0
Keywords:
Depends on:
Blocks: Hyperlink-Dialog
  Show dependency treegraph
 
Reported: 2019-12-09 21:22 UTC by DM
Modified: 2019-12-16 07:25 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Hyperlink Dialog (12.41 KB, image/png)
2019-12-09 21:22 UTC, DM
Details

Note You need to log in before you can comment on or make changes to this bug.
Description DM 2019-12-09 21:22:44 UTC
Created attachment 156444 [details]
Hyperlink Dialog

Suggestion to put 'Text' box straight after 'URL' in Hyperlink.

Usually in creating a hyperlink, one has the URL in the clipboard. So in LibreOffice one does Ctrl-K and up comes the hyperlink dialog, Ctrl-V pastes the URL.
You now want to enter the 'Text' for the hyperlink, so the Text box should be next under URL so you can just hit tab (to get to it) type your text and hit Enter key to commit.

Obviously for this logic, the Text entry box needs to be shifted up as the next entry box in tab order after URL, which is what I strongly recommend.

Screenshot of dialog attached.

d

Version: 6.3.2.2 (x64)
Build ID: 98b30e735bda24bc04ab42594c85f7fd8be07b9c
CPU threads: 2; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: en-GB (en_GB); UI-Language: en-GB
Calc: threaded
Comment 1 Dieter 2019-12-10 07:16:21 UTC
(In reply to DM from comment #0)
> Created attachment 156444 [details]
> You now want to enter the 'Text' for the hyperlink, so the Text box should
> be next under URL so you can just hit tab (to get to it) type your text and
> hit Enter key to commit.

If I hit tab, focus only changes between Help, Reset, Apply, OK and close.

cc: Design-Tam for further input.
Comment 2 Heiko Tietze 2019-12-10 08:55:22 UTC
Yes, good point.
Comment 3 Commit Notification 2019-12-13 09:59:02 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/04a28f1c3c657338fefd61ea926357d3fad23325

Resolves tdf#129295 - Hyperlink Text below URL

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Dieter 2019-12-16 07:25:42 UTC
Verified with

Version: 6.5.0.0.alpha0+ (x64)
Build ID: e26d89371f0e4f41476c9a99be01d98dedb76776
CPU threads: 4; OS: Windows 10.0 Build 18362; UI render: default; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-GB
Calc: threaded

Heiko, thanks for fixing!